pcl::face_detection::RFTreeNode< FeatureType > Class Template Reference

`#include <pcl/recognition/face_detection/face_common.h>`

## Public Member Functions

PCL_MAKE_ALIGNED_OPERATOR_NEW void | serialize (::std::ostream &stream) const
void | deserialize (::std::istream &stream)

## Public Attributes

float | threshold
FeatureType | feature
std::vector< RFTreeNode > | sub_nodes
float | value
float | variance
Eigen::Vector3d | trans_mean_
Eigen::Vector3d | rot_mean_
float | purity_
Eigen::Matrix3d | covariance_trans_
Eigen::Matrix3d | covariance_rot_

## Detailed Description

### template<class FeatureType>
class pcl::face_detection::RFTreeNode< FeatureType >

Definition at line 74 of file face_common.h.

## Member Function Documentation

## deserialize()

template<class FeatureType >

void pcl::face_detection::RFTreeNode< FeatureType >::deserialize | ( | ::std::istream & | stream | ) |

inline

Definition at line 127 of file face_common.h.

References pcl::face_detection::RFTreeNode< FeatureType >::covariance_rot_, pcl::face_detection::RFTreeNode< FeatureType >::covariance_trans_, pcl::face_detection::FeatureType::deserialize(), pcl::face_detection::RFTreeNode< FeatureType >::feature, pcl::face_detection::RFTreeNode< FeatureType >::rot_mean_, pcl::face_detection::RFTreeNode< FeatureType >::sub_nodes, pcl::face_detection::RFTreeNode< FeatureType >::threshold, pcl::face_detection::RFTreeNode< FeatureType >::trans_mean_, pcl::face_detection::RFTreeNode< FeatureType >::value, and pcl::face_detection::RFTreeNode< FeatureType >::variance.

## serialize()

template<class FeatureType >

PCL_MAKE_ALIGNED_OPERATOR_NEW void pcl::face_detection::RFTreeNode< FeatureType >::serialize | ( | ::std::ostream & | stream | ) | const

inline

Definition at line 92 of file face_common.h.

References pcl::face_detection::RFTreeNode< FeatureType >::covariance_rot_, pcl::face_detection::RFTreeNode< FeatureType >::covariance_trans_, pcl::face_detection::RFTreeNode< FeatureType >::feature, pcl::face_detection::RFTreeNode< FeatureType >::rot_mean_, pcl::face_detection::FeatureType::serialize(), pcl::face_detection::RFTreeNode< FeatureType >::sub_nodes, pcl::face_detection::RFTreeNode< FeatureType >::threshold, pcl::face_detection::RFTreeNode< FeatureType >::trans_mean_, pcl::face_detection::RFTreeNode< FeatureType >::value, and pcl::face_detection::RFTreeNode< FeatureType >::variance.

## Member Data Documentation

## covariance_rot_

template<class FeatureType >

Eigen::Matrix3d pcl::face_detection::RFTreeNode< FeatureType >::covariance_rot_

Definition at line 88 of file face_common.h.

Referenced by pcl::face_detection::RFTreeNode< FeatureType >::deserialize(), and pcl::face_detection::RFTreeNode< FeatureType >::serialize().

## covariance_trans_

template<class FeatureType >

Eigen::Matrix3d pcl::face_detection::RFTreeNode< FeatureType >::covariance_trans_

Definition at line 87 of file face_common.h.

Referenced by pcl::face_detection::RFTreeNode< FeatureType >::deserialize(), and pcl::face_detection::RFTreeNode< FeatureType >::serialize().

## feature

template<class FeatureType >

FeatureType pcl::face_detection::RFTreeNode< FeatureType >::feature

Definition at line 78 of file face_common.h.

Referenced by pcl::face_detection::RFTreeNode< FeatureType >::deserialize(), and pcl::face_detection::RFTreeNode< FeatureType >::serialize().

## purity_

template<class FeatureType >

float pcl::face_detection::RFTreeNode< FeatureType >::purity_

Definition at line 86 of file face_common.h.

## rot_mean_

template<class FeatureType >

Eigen::Vector3d pcl::face_detection::RFTreeNode< FeatureType >::rot_mean_

Definition at line 84 of file face_common.h.

Referenced by pcl::face_detection::RFTreeNode< FeatureType >::deserialize(), and pcl::face_detection::RFTreeNode< FeatureType >::serialize().

## sub_nodes

template<class FeatureType >

std::vector<RFTreeNode> pcl::face_detection::RFTreeNode< FeatureType >::sub_nodes

Definition at line 79 of file face_common.h.

Referenced by pcl::face_detection::RFTreeNode< FeatureType >::deserialize(), and pcl::face_detection::RFTreeNode< FeatureType >::serialize().

## threshold

template<class FeatureType >

float pcl::face_detection::RFTreeNode< FeatureType >::threshold

Definition at line 77 of file face_common.h.

Referenced by pcl::face_detection::RFTreeNode< FeatureType >::deserialize(), and pcl::face_detection::RFTreeNode< FeatureType >::serialize().

## trans_mean_

template<class FeatureType >

Eigen::Vector3d pcl::face_detection::RFTreeNode< FeatureType >::trans_mean_

Definition at line 83 of file face_common.h.

Referenced by pcl::face_detection::RFTreeNode< FeatureType >::deserialize(), and pcl::face_detection::RFTreeNode< FeatureType >::serialize().

## value

template<class FeatureType >

float pcl::face_detection::RFTreeNode< FeatureType >::value

Definition at line 80 of file face_common.h.

Referenced by pcl::face_detection::RFTreeNode< FeatureType >::deserialize(), and pcl::face_detection::RFTreeNode< FeatureType >::serialize().

## variance

template<class FeatureType >

float pcl::face_detection::RFTreeNode< FeatureType >::variance

Definition at line 81 of file face_common.h.

Referenced by pcl::face_detection::RFTreeNode< FeatureType >::deserialize(), and pcl::face_detection::RFTreeNode< FeatureType >::serialize().

The documentation for this class was generated from the following file:

- pcl/recognition/face_detection/face_common.h